.login__body {
  overflow-x: hidden;
}

.login.login-1 .login__content {
  overflow: hidden;
}
.login.login-1 .login-signin,
.login.login-1 .login-signup,
.login.login-1 .login-forgot {
  display: none;
}
.login.login-1.login-signin-on .login-signup {
  display: none;
}
.login.login-1.login-signin-on .login-signin {
  display: block;
}
.login.login-1.login-signin-on .login-forgot {
  display: none;
}
.login.login-1.login-signup-on .login-signup {
  display: block;
}
.login.login-1.login-signup-on .login-signin {
  display: none;
}
.login.login-1.login-signup-on .login-forgot {
  display: none;
}
.login.login-1.login-forgot-on .login-signup {
  display: none;
}
.login.login-1.login-forgot-on .login-signin {
  display: none;
}
.login.login-1.login-forgot-on .login-forgot {
  display: block;
}
.login.login-1 .login--decoration {
  overflow: hidden;
}
.login.login-1 .login--decoration img {
  display: block;
  width: 150%;
  margin-left: -150px;
}

@media (min-width: 992px) {
  .login.login-1 .login-aside {
    width: 100%;
    max-width: 600px;
  }
  .login.login-1 .login-form {
    width: 100%;
    max-width: 400px;
  }
}
@media (min-width: 992px) and (max-width: 1399.98px) {
  .login.login-1 .login-aside {
    width: 100%;
    max-width: 400px;
  }
}
@media (max-width: 991.98px) {
  .login.login-1 .login--decoration {
    max-width: 290px;
    position: absolute;
    right: 0;
    overflow: hidden;
  }
  .login.login-1 .login--decoration img {
    margin-left: auto;
    width: 100%;
    right: -30px;
    position: relative;
  }
  .login.login-1 .login--name {
    display: none !important;
  }
  .login.login-1 .login-form {
    width: 100%;
    max-width: 350px;
  }
}
@media (max-width: 767.98px) {
  .login.login-1 .login--decoration {
    max-width: 240px;
  }
  .login.login-1 .login-form {
    width: 100%;
    max-width: 100%;
  }
}
